Subject: Re: [PATCH net 02/10] net: fill in MODULE_DESCRIPTION()s for ocelot

From: Simon Horman <[email-masked]>
Date: Tue, 30 Jan 2024 10:11:34 +0000

On Thu, Jan 25, 2024 at 11:34:12AM -0800, Breno Leitao wrote:
> W=1 builds now warn if module is built without a MODULE_DESCRIPTION().
> Add descriptions to the Ocelot SoCs (VSC7514) helpers driver.
> 
> Signed-off-by: Breno Leitao <[email-masked]>
> Reviewed-by: Horatiu Vultur <[email-masked]>
> ---
>  drivers/net/ethernet/mscc/ocelot.c | 1 +
>  1 file changed, 1 insertion(+)
> 
> diff --git a/drivers/net/ethernet/mscc/ocelot.c b/drivers/net/ethernet/mscc/ocelot.c
> index 56ccbd4c37fe..2194f2a7ab27 100644
> --- a/drivers/net/ethernet/mscc/ocelot.c
> +++ b/drivers/net/ethernet/mscc/ocelot.c
> @@ -3078,4 +3078,5 @@ void ocelot_deinit_port(struct ocelot *ocelot, int port)
>  }
>  EXPORT_SYMBOL(ocelot_deinit_port);
>  
> +MODULE_DESCRIPTION("Microsemi Ocelot (VSC7514) Switch driver");

Hi Breno,

I really appreciate your work in this area.

WRT this patch, I could well be wrong, but I think this code is also used
by Felix (VSC9959). If so the description might want tweaking.

Vladimir, can you shed some light on this?

>  MODULE_LICENSE("Dual MIT/GPL");
> -- 
> 2.39.3
>